Subject: Re: black morel and woodland russula

From: [email-masked] (Jim Berlstein)
Date: 29 Mar 1995 04:31:04 GMT

To de-worm a morel,

I reccommend cutting them in half and putting them in a bowl of water.  
Weight them down with another bowl of water (or anything else that works) 
so that they are completely submerged.  Put a plate under all of this to 
catch the buggy grubby wormy water and stick it in the fridge over night. 
 this should eliminate 90% of the live worms, but you still get to eat a 
few.  Works for all species.  They can then be dried or cooked, but don't 
save them in this waterlogged condition in the fridge for several days.  

Note:  Those who have nothing to say, say it about spelling-
so let's not go down that road.

Happy hunting to all.
I am hitting up my favorite morel spot near portland on wednesday-
I shall give a report.

-
  JIM BERLSTEIN  [email-masked]